package io.nexilis.alpha

import android.os.Bundle
import androidx.activity.ComponentActivity
import androidx.activity.compose.setContent
import dagger.hilt.android.AndroidEntryPoint
import io.nexilis.alpha.ui.main.Root
import io.nexilis.alpha.ui.theme.AlphaTheme
import io.nexilis.service.Api

@AndroidEntryPoint
class MainActivity : ComponentActivity() {

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContent {
            AlphaTheme {
                Root()
            }
        }
    }

    override fun onResume() {
        super.onResume()
        Api.connect(
            "38747683290F62E9667A018F490396EAE47BC16ADECD85B7E865C733E6DBD6A2",
            this@MainActivity
        )
    }
}